Subject: Re: Egcs 1.1 having trouble with 'typename'?
From: [email-masked] (Michael D. Hill)

17 Sep 1998 13:22:14 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Mumit Khan <[email-masked]>
Cc: [email-masked]

Mumit was on the right track (as you might expect).

I was using Winzip to install the egcs 1.1 update, and the long and the
short of it was that it did not correctly unzip.  The cygwin tar unpacked
everything and now I've got a build.

Thanks!
Hill

At 11:56 AM 9/15/98 -0500, you wrote:
>"Michael D. Hill" <[email-masked]> writes:
>> Environment: Win95, Cygwin32 19.1, latest Coolview, Egcs 1.1
>> 
>> Folks...
>> 
>> I have a small program that was compiling okay with egcs 1.0.2.  I've just
>> upgraded to 1.1 and the compiler's having a hard time, seemingly in coping
>> with the typename keyword.  Here's the first couple of compile erros I'm
>> getting:
>> 
>> c:\\USR\\H-I386~1\\lib\\gcc-lib\\i386-cygwin32\\2.7-B19\\../../../../../inclu
>> de/
>> g++/stl_iterator.h:319: parse error before `&'
>> c:\\USR\\H-I386~1\\lib\\gcc-lib\\i386-cygwin32\\2.7-B19\\../../../../../inclu
>> de/
>> g++/stl_iterator.h:319: `back_insert_iterator<Container>::operator =(...)' mu
>> st
>> take exactly one argument
>
>I can see one problem right away. You g++.exe executable isn't the correct
>one. For some reason, cygwin32 tar doesn't seem to create the hard link
>correctly (which is a copy under cygwin32). Note the 2.7-B19 above.
>
>Make sure you copy over c++.exe on top of g++.exe.
>
>Regards,
>Mumit
>

+------------------------------------------------------------+
|Michael Hill --   <[email-masked]>	                     |
|Consultant, Developer, Teacher, Coach	                     |
|I will translate patterns-related postscript papers to .pdf |
|for anyone.  E-mail me for instructions.                    |
+------------------------------------------------------------+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".